# Generated by Django 3.2.6 on 2021-08-19 07:57

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='カテゴリー名')),
                ('color', models.CharField(default='#000000', max_length=7, verbose_name='色(16進数)')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='投稿日')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='更新日')),
            ],
            options={
                'verbose_name': 'カテゴリ',
                'verbose_name_plural': 'カテゴリ',
                'db_table': 'category',
            },
        ),
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='ID')),
                ('thumbnail', models.ImageField(blank=True, null=True, upload_to='thumbnail/%Y/%m/%d/', verbose_name='サムネイル画像')),
                ('title', models.CharField(max_length=50, verbose_name='タイトル')),
                ('main_text', models.TextField(verbose_name='本文')),
                ('sub_text', models.TextField(blank=True, null=True, verbose_name='説明')),
                ('status', models.CharField(choices=[('公開', '公開'), ('非公開', '非公開'), ('下書き', '下書き')], max_length=50, verbose_name='状態')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='投稿日')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='更新日')),
                ('category', models.ManyToManyField(related_name='カテゴリー', to='article.Category')),
            ],
            options={
                'verbose_name': '記事',
                'verbose_name_plural': '記事',
                'db_table': 'articles',
            },
        ),
    ]
